<#ibiztemplate>
TARGET=PSDEDATAIMP
</#ibiztemplate>
package ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.mapping;

import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.domain.${de.codeName};
import org.mapstruct.*;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface ${de.codeName}${item.codeName} {
    <#assign keyFieldName=srfr7templcaseformat(de.getKeyPSDEField().getCodeName())>
    <#if item.getPSDEDataImportItems?? && item.getPSDEDataImportItems()??>
    @Mappings({
        @Mapping(target = "${keyFieldName}", source = "${keyFieldName}"),
        <#list item.getPSDEDataImportItems() as importItem>
            <#if importItem.getPSDEField()?? && importItem.getPSDEField().isKeyDEField()==false>
                <#assign deFieldName = srfr7templcaseformat(importItem.getPSDEField().getCodeName())>
        @Mapping(target = "${deFieldName}", source = "${deFieldName}"),
            </#if>
        </#list>
    })
    @BeanMapping(ignoreByDefault = true)
    </#if>
    ${de.codeName} toDomain(${de.codeName} entity);

    List<${de.codeName}> toDomain(List<${de.codeName}> entities);
}

<#comment>替换参数驼峰命名</#comment>
 <#function srfr7templcaseformat codeName>
    <#assign result = codeName>
        <#if pub.getParam("cam") == "true">
            <#assign result = srfcaseformat(codeName,'UC2l_u')>
            <#assign result = srfcaseformat(codeName,'l_u2lC')>
        <#else>
            <#assign result = srfcaseformat(codeName,'l_u2lC')>
        </#if>
    <#return result>
 </#function>
